Debian Bug report logs - #360873
lists.debian.org: server should send multiple mails in one connection

Package: lists.debian.org; Maintainer for lists.debian.org is Debian Listmaster Team <listmaster@lists.debian.org>;

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Wed, 5 Apr 2006 06:48:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Listmaster Team <listmaster@lists.debian.org>:
Bug#360873; Package lists.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Debian Listmaster Team <listmaster@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lists.debian.org: server should send multiple mails in one connection
Date: Wed, 05 Apr 2006 06:35:44 +0000
Package: lists.debian.org
Severity: important

Every once in a while, my internal caching DNS server screws itself over.
Consequently, the mail server, which does DNSBL lookups through that server,
refuses to accept any mail, giving a 451 response.  When I notice and reset the
DNS server, the mail server accepts connections again.[0]

Then, when murphy tries the messages again, it sends many connections at once.
Sendmail, as an anti-DOS measure, rejects most of these connections.  Hence,
murphy queues a large amount of mail destined for me for a very long time.

I would like to get queued mail sooner, and I'm sure you would much prefer that
mail did not sit in the queue for longer than it had to.  Thus, my request is
that, in compliance with the RFCs, murphy should send several mails per
connection.  This will speed delivery and reduce load on my server.


[0] I understand the server should not do this (TM), but I am not yet
sure of the cause of the problem, although I think I know.  However,
this is not the point.

-- System Information:
Debian Release: testing/unstable
  APT prefers experimental
  APT policy: (500, 'experimental'), (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-k7
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)



Severity set to `wishlist'. Request was from cord@cord.de (Cord Beermann) to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `lists.debian.org' to `debian-admin'. Request was from cord@cord.de (Cord Beermann) to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `debian-admin' to `lists.debian.org'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sid Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Bug 360873 cloned as bug 367665. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 360873-done@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 360873-done@bugs.debian.org, 367665-done@bugs.debian.org
Subject: exim4 does this already automatically
Date: Tue, 12 Sep 2006 03:47:17 -0700
Exim4 already sends multiple messages in the same connection if
possible. See:
http://www.exim.org/exim-html-4.62/doc/html/spec_html/ch30.html#id2645371

What is most likely happening is that you've got ClientRate set too lo
in your access file, which is running into the Rate limiter well
before it hits the connection limiter.

Disable the rate and/or connection limiter for spohr and murphy and
you'll stop seeing the problem.


Don Armstrong

-- 
Grimble left his mother in the food store and went to the launderette
and watched the clothes go round. It was a bit like colour television
only with less plot.
 -- Clement Freud _Grimble_

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Listmaster Team <listmaster@lists.debian.org>:
Bug#360873; Package lists.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Debian Listmaster Team <listmaster@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 360873@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: 360873@bugs.debian.org, control@bugs.debian.org
Subject: murphy still doesn't reuse connections (was: Re: Bug#360873 closed)
Date: Wed, 16 May 2007 04:36:59 +0000
reopen 360873
tags 360873 - sid
kthxbye

On Tue, Sep 12, 2006 at 04:03:53AM -0700, Debian Bug Tracking System wrote:
> Exim4 already sends multiple messages in the same connection if
> possible. See:
> http://www.exim.org/exim-html-4.62/doc/html/spec_html/ch30.html#id2645371

I seem not to be having further problems with spohr (or now, rietz), so
I consider 367665 to be done.

However, murphy still causes a huge number of connections.  This is
probably because murphy runs postfix:

  sh-3.1$ nc murphy.debian.org. 25
  220 murphy.debian.org ESMTP Postfix (Debian/GNU)

This makes what exim does rather irrelevant. :-)

Please also note that I am subscribed to exactly one open (non-announce)
list on murphy: debian-l10n-english.  Think about when I was subscribed
to -devel, -project, and -legal. ;-)

> What is most likely happening is that you've got ClientRate set too lo
> in your access file, which is running into the Rate limiter well
> before it hits the connection limiter.

sh-3.1# host murphy.debian.org.
murphy.debian.org       A       70.103.162.31
sh-3.1# grep -C1 70.103.162.31 /etc/mail/access
# I have moved GreetPause 1000->30000, and ClientConn 30->1. bmc 2006-09-22.
GreetPause:70.103.162.31        30000
ClientRate:70.103.162.31        30
ClientConn:70.103.162.31        1
#

The window size is 60 seconds, so murphy is permitted to make up to 30
connections, one at a time, in that period.  Due to a number of factors,
including bandwidth limitations, no remote mail is ever delivered in
less than three seconds; therefore, murphy could not *possibly* hit the
rate limiting if it reuses connections.

Note that as of 2006-09-22, I imposed additional restrictions on murphy
because it couldn't comply with the original, much more lenient
restrictions. 

> Disable the rate and/or connection limiter for spohr and murphy and
> you'll stop seeing the problem.

Uh, murphy ran into the global limits originally, which is why I filed
this bug.  It then ran afoul of my more generous limits.  I'm not going
to disable limiting connections for a mail server which abuses my
generosity and cannot comply with what has been common practice for at
least five years.

There is *absolutely* *no* *reason* why murphy cannot reuse the
connection; when it does, the rate limits will become moot.

Just to prevent this already long email from getting longer, I have
placed the relevant portions of the logs (in UTC and including portions
from rietz, for comparison) at
<http://crustytoothpaste.ath.cx/~bmc/files/free/dump/murphy-connrate>.

I'm not trying to be nasty, so please don't take it that way; I'm just a
bit frustrated.  I'm trying to make my logcheck results a little
smaller, so I have more time to work on those FTBFS-with-gcc-4.[23]
bugs. :-)

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
Screw you, AACS LA: 09 F9 11 02 9D 74 E3 5B D8 41 56 C5 63 56 88 C0
OpenPGP: RSA v3 2048b 560553E7: FE82 7C9F EB21 5436 2F96 25BA 927B 0A51



Bug reopened, originator not changed. Request was from "brian m. carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. (Wed, 16 May 2007 04:39:08 GMT) Full text and rfc822 format available.

Tags removed: sid Request was from "brian m. carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. (Wed, 16 May 2007 04:39:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Listmaster Team <listmaster@lists.debian.org>:
Bug#360873; Package lists.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Debian Listmaster Team <listmaster@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 360873@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: 360873@bugs.debian.org
Subject: More multiple connections
Date: Fri, 4 Apr 2008 23:16:52 +0000
[Message part 1 (text/plain, inline)]
castro ok # grep "421 4.3.2 Too many open connections." mail.log.0 | grep liszt.debian.org
Apr  2 20:58:43 castro sm-mta[32706]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  2 20:58:50 castro sm-mta[32710]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  2 21:48:43 castro sm-mta[371]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  2 22:38:44 castro sm-mta[559]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  2 22:38:45 castro sm-mta[562]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  2 22:38:46 castro sm-mta[563]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  2 23:12:03 castro sm-mta[642]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  2 23:28:47 castro sm-mta[681]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  2 23:29:02 castro sm-mta[684]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  2 23:29:02 castro sm-mta[685]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 00:02:07 castro sm-mta[772]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 00:52:05 castro sm-mta[857]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 00:52:12 castro sm-mta[861]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 00:52:13 castro sm-mta[863]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 00:52:13 castro sm-mta[864]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 01:42:15 castro sm-mta[973]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 01:58:46 castro sm-mta[981]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 01:58:50 castro sm-mta[985]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 02:15:27 castro sm-mta[1031]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 02:15:38 castro sm-mta[1037]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 02:48:50 castro sm-mta[1108]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 03:38:45 castro sm-mta[1197]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 03:38:54 castro sm-mta[1204]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 04:28:49 castro sm-mta[1325]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 05:02:06 castro sm-mta[1404]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 05:02:18 castro sm-mta[1410]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 05:35:48 castro sm-mta[1463]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 05:35:48 castro sm-mta[1464]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 05:35:49 castro sm-mta[1466]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 05:52:03 castro sm-mta[1498]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 06:25:31 castro sm-mta[2593]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 06:25:31 castro sm-mta[2594]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 06:42:10 castro sm-mta[2640]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 07:32:04 castro sm-mta[2736]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 07:32:10 castro sm-mta[2739]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 07:32:10 castro sm-mta[2740]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 07:48:47 castro sm-mta[2768]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 08:05:23 castro sm-mta[2818]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 08:22:20 castro sm-mta[2865]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 08:22:30 castro sm-mta[2867]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 08:22:31 castro sm-mta[2869]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 08:22:31 castro sm-mta[2870]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 08:55:25 castro sm-mta[2915]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 08:55:28 castro sm-mta[2918]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 08:55:47 castro sm-mta[2921]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 08:55:47 castro sm-mta[2922]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 09:12:07 castro sm-mta[2970]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 09:28:42 castro sm-mta[3011]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 09:28:49 castro sm-mta[3014]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 09:45:31 castro sm-mta[3054]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 10:02:08 castro sm-mta[3108]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 10:18:45 castro sm-mta[3122]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 10:18:46 castro sm-mta[3123]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 10:18:48 castro sm-mta[3124]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 10:18:54 castro sm-mta[3127]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 10:18:54 castro sm-mta[3128]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 10:18:54 castro sm-mta[3129]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 10:35:26 castro sm-mta[3162]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 10:52:02 castro sm-mta[3198]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 10:52:02 castro sm-mta[3199]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 11:08:55 castro sm-mta[3255]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 11:08:58 castro sm-mta[3259]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 11:25:27 castro sm-mta[3302]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 11:25:27 castro sm-mta[3303]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 11:25:28 castro sm-mta[3305]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 11:25:28 castro sm-mta[3306]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 11:42:17 castro sm-mta[3341]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 11:42:18 castro sm-mta[3343]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 11:42:18 castro sm-mta[3344]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 11:42:20 castro sm-mta[3347]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 11:42:20 castro sm-mta[3348]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 12:15:23 castro sm-mta[3409]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 12:15:23 castro sm-mta[3410]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 12:32:06 castro sm-mta[3461]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 12:32:11 castro sm-mta[3463]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 12:48:46 castro sm-mta[3504]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 13:05:25 castro sm-mta[3582]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 13:05:26 castro sm-mta[3583]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 13:05:29 castro sm-mta[3586]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 13:05:38 castro sm-mta[3592]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 13:05:38 castro sm-mta[3593]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 13:05:38 castro sm-mta[3594]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 13:22:09 castro sm-mta[3686]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 13:38:43 castro sm-mta[3751]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 13:38:43 castro sm-mta[3752]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 13:38:51 castro sm-mta[3755]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 13:38:55 castro sm-mta[3758]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 13:55:47 castro sm-mta[3790]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 13:56:02 castro sm-mta[3796]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 14:12:05 castro sm-mta[3843]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 14:12:05 castro sm-mta[3844]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 14:12:05 castro sm-mta[3845]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 14:12:08 castro sm-mta[3848]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 14:28:48 castro sm-mta[3879]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 14:29:08 castro sm-mta[3887]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 14:29:09 castro sm-mta[3889]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 15:02:02 castro sm-mta[4596]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 15:02:02 castro sm-mta[4597]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 15:02:02 castro sm-mta[4598]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 15:02:06 castro sm-mta[4785]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 15:02:13 castro sm-mta[4877]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 15:18:47 castro sm-mta[5251]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 15:18:47 castro sm-mta[5252]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 15:19:02 castro sm-mta[5266]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 15:35:26 castro sm-mta[5354]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 15:35:27 castro sm-mta[5355]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 15:35:28 castro sm-mta[5356]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 15:35:57 castro sm-mta[5383]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 15:52:05 castro sm-mta[5486]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 15:52:27 castro sm-mta[5500]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 15:53:54 castro sm-mta[5532]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 15:53:56 castro sm-mta[5533]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 15:53:57 castro sm-mta[5534]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 15:53:58 castro sm-mta[5535]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 16:25:23 castro sm-mta[6700]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 16:25:28 castro sm-mta[6702]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 16:25:31 castro sm-mta[6703]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 16:42:06 castro sm-mta[6754]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 16:58:43 castro sm-mta[6796]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 16:58:43 castro sm-mta[6797]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 16:58:45 castro sm-mta[6799]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 17:16:01 castro sm-mta[7927]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 17:16:01 castro sm-mta[7928]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 17:16:02 castro sm-mta[7929]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 17:48:41 castro sm-mta[8046]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 17:48:42 castro sm-mta[8047]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 18:22:10 castro sm-mta[9170]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 18:22:10 castro sm-mta[9172]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 18:39:31 castro sm-mta[9200]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 18:39:34 castro sm-mta[9202]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 19:12:13 castro sm-mta[10325]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 19:46:08 castro sm-mta[10414]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.
Apr  3 20:02:42 castro sm-mta[11485]: ruleset=check_relay, arg1=liszt.debian.org, arg2=82.195.75.100, relay=liszt.debian.org [82.195.75.100], reject=421 4.3.2 Too many open connections.

castro ok # grep "421 4.3.2 Too many open connections." mail.log.0 | grep liszt.debian.org | wc -l   
133

Please don't do this.  Please send multiple mails in one connection.
The logs above show that you are trying to open up to seven connections
at once, which isn't going to happen.  Nobody else is allowed multiple
connections, so liszt is not special in that regard.

I'd dropped your GreetPause to one second, in hopes that that would fix
the problem, but it doesn't.  Postfix is apparently opening more
connections when it already has one.  I really don't know what to
suggest.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
troff on top of XML: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:45:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.